Package ru.bitel.bgbilling.modules.yoomoney.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.yoomoney.common.bean.Transaction

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class Transaction extends BGAbstractTransaction
Представление части информации о каждой транзакции (в БД), то, что возвращается в наш экзекутер при оплате (и это эе самое приходит при проверке).

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getCancelComment(String who, String why)`
  Если платеж пришел с статусом Cancel, то можно попытаться узнать по какой причине.
  `String`
  `getCardholderName()`
  `String`
  `getContractComment()`
  `String`
  `getPan()`
  `String`
  `getPaymentPayerCode()`
  `String`
  `getPaymentType()`
  `String`
  `getRawRequest()`
  `BigDecimal`
  `getShopSumAmount()`
  `String`
  `getYoomoneyId()`
  `Transaction`
  `setAutopayment(boolean autopayment)`
  `Transaction`
  `setContractComment(String contractComment)`
  `Transaction`
  `setContractId(int contractId)`
  `Transaction`
  `setContractTitle(String contractTitle)`
  `Transaction`
  `setId(int id)`
  Устанавливает id объекта
  `Transaction`
  `setPaymentId(int paymentId)`
  `Transaction`
  `setPaymentPayerCode(String paymentPayerCode)`
  `Transaction`
  `setPaymentType(String paymentType)`
  `Transaction`
  `setRawRequest(String rawRequest)`
  `Transaction`
  `setShopSumAmount(BigDecimal shopSumAmount)`
  `Transaction`
  `setStatus(String status)`
  `Transaction`
  `setSum(BigDecimal sum)`
  `Transaction`
  `setTransactionDate(Date transactionDate)`
  `Transaction`
  `setTransactionType(BGTransactionType transactionType)`
  `Transaction`
  `setYoomoneyId(String yoomoneyId)`

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getContractId, getContractTitle, getCreateDate, getParameter, getParameters, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, getTransactionType, isAutopayment, setCreateDate, setParameters, setTransactionId, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getCardholderName

    public String getCardholderName()
    Overrides:
      `getCardholderName` in class `BGAbstractTransaction`

  - ### getContractComment

    public String getContractComment()
    Overrides:
      `getContractComment` in class `BGAbstractTransaction`

  - ### getPan

    public String getPan()
    Overrides:
      `getPan` in class `BGAbstractTransaction`

  - ### getPaymentPayerCode

    public String getPaymentPayerCode()

  - ### getPaymentType

    public String getPaymentType()

  - ### getRawRequest

    public String getRawRequest()

  - ### getShopSumAmount

    public BigDecimal getShopSumAmount()

  - ### getYoomoneyId

    public String getYoomoneyId()

  - ### setAutopayment

    public Transaction setAutopayment(boolean autopayment)
    Overrides:
      `setAutopayment` in class `BGAbstractTransaction`

  - ### setContractComment

    public Transaction setContractComment(String contractComment)
    Overrides:
      `setContractComment` in class `BGAbstractTransaction`

  - ### setId

    public Transaction setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setPaymentPayerCode

    public Transaction setPaymentPayerCode(String paymentPayerCode)

  - ### setPaymentType

    public Transaction setPaymentType(String paymentType)

  - ### setContractId

    public Transaction setContractId(int contractId)
    Overrides:
      `setContractId` in class `BGAbstractTransaction`

  - ### setContractTitle

    public Transaction setContractTitle(String contractTitle)
    Overrides:
      `setContractTitle` in class `BGAbstractTransaction`

  - ### setStatus

    public Transaction setStatus(String status)
    Overrides:
      `setStatus` in class `BGAbstractTransaction`

  - ### setPaymentId

    public Transaction setPaymentId(int paymentId)
    Overrides:
      `setPaymentId` in class `BGAbstractTransaction`

  - ### setTransactionType

    public Transaction setTransactionType(BGTransactionType transactionType)
    Overrides:
      `setTransactionType` in class `BGAbstractTransaction`

  - ### setTransactionDate

    public Transaction setTransactionDate(Date transactionDate)
    Overrides:
      `setTransactionDate` in class `BGAbstractTransaction`

  - ### setRawRequest

    public Transaction setRawRequest(String rawRequest)

  - ### setShopSumAmount

    public Transaction setShopSumAmount(BigDecimal shopSumAmount)

  - ### setSum

    public Transaction setSum(BigDecimal sum)
    Overrides:
      `setSum` in class `BGAbstractTransaction`

  - ### setYoomoneyId

    public Transaction setYoomoneyId(String yoomoneyId)

  - ### getCancelComment

    public static String getCancelComment(String who, String why)
    Если платеж пришел с статусом Cancel, то можно попытаться узнать по какой причине.
    Parameters:
      `who` - - кто отменил. merchant - Продавец товаров и услуг (мы), yoomoney_checkout - Яндекс.Касса, payment_network - кто угодно. Пока не используется.
      `why` - - причина отказа